/*
Theme Name: Divi Child
Theme URI: http://www.elegantthemes.com/gallery/divi/
Template: Divi
Author: Elegant Themes
Author URI: http://www.elegantthemes.com
Description: Smart. Flexible. Beautiful. Divi is the most powerful theme in our collection.
Version: 4.21.1.1689610814
Updated: 2023-07-17 16:20:14

*/

/* HEADER START */
/* change hamburger icon to x when mobile menu is open */
#et_mobile_nav_menu .mobile_nav.opened .mobile_menu_bar::before,
.et_pb_module.et_pb_menu .et_mobile_nav_menu .mobile_nav.opened .mobile_menu_bar::before {
    content: '\4d' !important;;
}

/* adjust the new toggle element which is added via jQuery */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
ul.et_mobile_menu li.page_item_has_children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.page_item_has_children .mobile-toggle {
    width: 44px;
    height: 100%;
    padding: 0px !important;
    max-height: 44px;
    border: none;
    position: absolute;
    right: 0px;
    top: 0px;
    z-index: 999;
    background-color: transparent;
}

/* remove default background color from mob menu items that have children */
.et_mobile_menu .menu-item-has-children>a,
.et-db #et-boc .et-l .et_mobile_menu .menu-item-has-children>a {
    background-color: transparent;
}

.et_mobile_menu li a:hover {
    background-color: transparent;
    opacity: 1;
}

/* some code to keep everyting positioned properly */
ul.et_mobile_menu>li.menu-item-has-children,
ul.et_mobile_menu>li.page_item_has_children,
ul.et_mobile_menu>li.menu-item-has-children .sub-menu li.menu-item-has-children,
.et-db #et-boc .et-l ul.et_mobile_menu>li.menu-item-has-children,
.et-db #et-boc .et-l ul.et_mobile_menu>li.page_item_has_children,
.et-db #et-boc .et-l ul.et_mobile_menu>li.menu-item-has-children .sub-menu li.menu-item-has-children {
    position: relative;
}

/* hide the submenu by default */
ul.et_mobile_menu .menu-item-has-children .sub-menu,
#main-header ul.et_mobile_menu .menu-item-has-children .sub-menu,
.et-db #et-boc .et-l ul.et_mobile_menu .menu-item-has-children .sub-menu,
.et-db #main-header ul.et_mobile_menu .menu-item-has-children .sub-menu {
    display: none !important;
    visibility: hidden !important;
}

/* show the submenu when toggled open */
ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
#main-header ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
.et-db #et-boc .et-l ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
.et-db #main-header ul.et_mobile_menu .menu-item-has-children .sub-menu.visible {
    display: block !important;
    visibility: visible !important;
}

/* adjust the toggle icon position and transparency */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle {
    text-align: center;
    opacity: 1;
}

/* submenu toggle icon when closed */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after {
    top: 10px;
    position: relative;
    font-family: "ETModules";
    content: '\33' !important;;
    padding: 3px;
  font-size: 18px;
}

/* submenu toggle icon when open */
ul.et_mobile_menu li.menu-item-has-children.dt-open>.mobile-toggle::after,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children.dt-open>.mobile-toggle::after {
    content: '\32' !important;;
}

/* add point on top of the menu submenu dropdown */
.et_pb_menu_0.et_pb_menu .et_mobile_menu:after {
    position: absolute;
    right: 5%;
    margin-left: -20px;
    top: -14px;
    width: 0;
    height: 0;
    content: '';
    border-left: 20px solid transparent;
    border-right: 20px solid transparent;
    border-bottom: 20px solid #ffffff;
}

/* adjust the position of the hamburger menu */
.mobile_menu_bar {
    position: relative;
    display: block;
    top: 0;
    bottom: auto;
    line-height: 0;
}

/* force the background color and add a rounded border */
.et_pb_menu_0.et_pb_menu .et_mobile_menu,
.et_pb_menu_0.et_pb_menu .et_mobile_menu ul {
    background-color: #ffffff !important;
    border-radius: 10px;
}

/* align dropdown */
.et_pb_menu .et-menu-nav>ul ul {
    padding: 0; 
}

.et_pb_menu li li {
    padding: 0;
    margin: 0;
    width: 100%;
}

.et_pb_menu__menu .sub-menu li a  {
    width: 100%;
}

.et-menu li li a {
    padding: 4px 20px !important;
	line-height: 1.4em !important;
}

@media (min-width: 981px) {
    .et_pb_menu__logo-slot  {
        margin-left: 40px !important;
        margin-right: 40px !important;
    }
}

/* Sticky Header */
.header-container {
    transition: all .5s ease !important;
}

.et-l--header .has_et_pb_sticky .header-container {
    transition: all .5s ease !important;
    background-color: rgba(0,0,0,0.9)!important;
}

/* small laptop */
@media (min-width: 1250px) and (max-width: 1380px) {
    .et_pb_menu__menu li a,
    .et_pb_menu__menu .sub-menu li a  {
        width: 100%;
        font-size: 14px !important;
    }
	.et_pb_menu .et-menu>li {
		    padding-left: 5px!important;
    padding-right: 5px!important;
	}
}

@media (min-width: 981px) and (max-width: 1250px) {
		.et_pb_menu__logo-wrap,
		.et_pb_sticky--top .et_pb_menu__logo-wrap {
			max-width: 140px !important;
			transition: all .5s ease !important;	
  		}
	
    .et_pb_menu__menu li a,
    .et_pb_menu__menu .sub-menu li a  {
        width: 100%;
        font-size: 12px !important;
    }
	
}

/* mobile dropdown */
.et_mobile_nav_menu {
    margin-left: auto !important;
}

.et_mobile_menu {
    width: 100vw;
    height: 100vh;
    right: 0;
    left: auto;
    margin-top: 10px !important;
    margin-left: 20px;
    padding-top: 40px !important;
    padding-bottom: 40px !important;
    transform: translateX(20px);
    overflow: auto;
}

.et_mobile_menu a {
    padding: 6px 10px !important;
}

.et_mobile_menu .sub-menu a {
    padding: 2px 10px !important;
    font-size: 14px !important;
}


.et_mobile_nav_menu::before {
	content: 'MENU';
    font-size: 16px;
    position: inherit;
    color: #fff;
    margin-bottom: -6px;
    font-family: 'Montserrat', Helvetica, Arial, Lucida, sans-serif;
}
/* HEADER END */
